allow both 3.7.* and git version of GnuRadio

soapy_support
Jiří Pinkava 7 years ago committed by Dimitri Stolnikov
parent ac15e7897b
commit d230397957
  1. 7
      CMakeLists.txt

@ -150,7 +150,12 @@ set(GRC_BLOCKS_DIR ${GR_PKG_DATA_DIR}/grc/blocks)
# Find build dependencies
########################################################################
set(GR_REQUIRED_COMPONENTS RUNTIME PMT BLOCKS)
find_package(Gnuradio 3.7.3 REQUIRED)
set(MIN_GR_VERSION "3.7.3")
find_package(Gnuradio REQUIRED)
if("${Gnuradio_VERSION}" VERSION_LESS MIN_GR_VERSION)
MESSAGE(FATAL_ERROR "GnuRadio version required: >=\"" ${MIN_GR_VERSION} "\" found: \"" ${Gnuradio_VERSION} "\"")
endif()
find_package(GnuradioIQBalance)
find_package(UHD)
find_package(GnuradioUHD)

Loading…
Cancel
Save